DatasetRw
Create a snapshot
Create a new Snapshot in a dataset. Requires Read access to the dataset and project access
POST
/
api
/
datasetrw
/
v1
/
datasets
/
{datasetId}
/
snapshots
Create a snapshot
curl --request POST \
--url https://mycluster.domino.tech/api/datasetrw/v1/datasets/{datasetId}/snapshots \
--header 'Content-Type: application/json' \
--header 'X-Domino-Api-Key: <api-key>' \
--data '
{
"relativeFilePaths": [
"<string>"
]
}
'import requests
url = "https://mycluster.domino.tech/api/datasetrw/v1/datasets/{datasetId}/snapshots"
payload = { "relativeFilePaths": ["<string>"] }
headers = {
"X-Domino-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Domino-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({relativeFilePaths: ['<string>']})
};
fetch('https://mycluster.domino.tech/api/datasetrw/v1/datasets/{datasetId}/snapshots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"notices": [
"<string>"
],
"requestId": "<string>"
},
"snapshot": {
"createdAt": "2022-03-12T02:13:44.467Z",
"datasetId": "<string>",
"id": "<string>",
"status": "active",
"creatorId": "<string>",
"description": "<string>",
"lastMounted": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>"
}{
"code": "UNAUTHORIZED",
"message": "Authentication is required to access this resource."
}{
"code": "FORBIDDEN",
"message": "You do not have permission to perform this action."
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
DominoApiKeyBearerAuthentication
Path Parameters
Dataset ID
Body
application/json
Snapshot to create
List of paths to include in snapshot
Last modified on June 26, 2026
Related topics
Version data with SnapshotsDomino CLI referenceCreate and manage DatasetsCreate and run JobsWas this page helpful?
⌘I
Create a snapshot
